<!doctype html>
<html lang="en">
<head>
    <%- include('../partials/head') %>
</head>
<body>
    <%- include('../partials/nav') %>

    <div class="container  mb-3">
        <h2 class="mb-1">Board</h2>
        <table class="board-table table table-sm border-bottom">
            <thead class="thead-light">
            <tr>
                <th scope="col">No</th>
                <th scope="col">Title</th>
                <th scope="col" class="date">Date</th>
            </tr>
            </thead>
            <tbody>
            <% if (results == null || results.length == 0) {%>
                <tr>
                    <td>There is no date to show :(</td>
                </tr>
            <% } %>
            <% results.forEach(result => { %>
                <tr>
                    <td class="no">
                        <span data-date="<%= result.seq %>"><%= result.seq %></span>
                    </td>
                    <td>
                        <a href="/posts/<%= result.seq %>">
                            <div class="ellipsis">
                                <%= result.title %>
                            </div>
                        </a>
                    </td>
                    <td class="date">
                        <span data-date="<%= result.createAt %>"><%= result.createAt %></span>
                    </td>
                </tr>
            <% }) %>
            </tbody>
        </table>
        <div>
            <a href="/posts/new" class="btn btn-primary">New</a>
        </div>
    </div>
</body>
</html>